Skip to content
Snippets Groups Projects
Remove-bashisms-from-the-entry-directory-plugin.patch 1.1 KiB
Newer Older
From 2b89d2fe0193b36fa892ccc368e81efa8e854bb9 Mon Sep 17 00:00:00 2001
From: Denis Pynkin <denis.pynkin@collabora.com>
Date: Mon, 26 Apr 2021 23:00:48 +0300
Subject: Remove bashisms from the entry directory plugin

- Use [ not [[ and -n to test for non-emptiness

Signed-off-by: Denis Pynkin <denis.pynkin@collabora.com>
---
 src/kernel-install/00-entry-directory.install | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/kernel-install/00-entry-directory.install b/src/kernel-install/00-entry-directory.install
index 21c09fa..e2fc396 100644
--- a/src/kernel-install/00-entry-directory.install
+++ b/src/kernel-install/00-entry-directory.install
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#/bin/sh
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
 # ex: ts=8 sw=4 sts=4 et filetype=sh
 
@@ -8,11 +8,11 @@ ENTRY_DIR_ABS="$3"
 KERNEL_IMAGE="$4"
 INITRD_OPTIONS_START="5"
 
-if ! [[ $KERNEL_INSTALL_MACHINE_ID ]]; then
+if ! [ -z "$KERNEL_INSTALL_MACHINE_ID" ]; then
     exit 0
 fi
 
-if [[ $COMMAND != add ]]; then
+if [ "$COMMAND" != "add" ]; then
      exit 0
 fi
 
-- 
2.20.1